const fs = require('fs');
// const path = require('path');

const filePath = './acc.json';//path.join('/', 'acc.json');
const _ = {
    readJSON() {
        return new Promise((resolve, reject) => {
            fs.readFile(filePath, function (err, data) {
                if (err) {
                    reject(err);
                } else {

                    resolve(JSON.parse(data.toString()));
                }
            });
        });
    },
    writeJSON(data) {
        return new Promise((resolve, reject) => {
            data = typeof(data) == 'string' ? data : JSON.stringify(data)
            fs.writeFile(filePath, data, function (err) {
                if (err) {
                    reject(err);
                } else resolve(data);
            });
        });
    }
}

exports = module.exports = {
    read: async () => {
        return await _.readJSON();
    },
    write: async (data) => {
        return await _.writeJSON(data);
    }
};
